### Virtual Method

# Gtk PrintOperationpreview

#### Declaration [src]

    gboolean
    preview (
      GtkPrintOperation* operation,
      GtkPrintOperationPreview* preview,
      GtkPrintContext* context,
      GtkWindow* parent
    )

#### Description [src]

Signal emitted when a preview is requested from the native dialog.

#### Parameters

`preview`

  Type: `GtkPrintOperationPreview`

  No description available.

  The data is owned by the caller of the function.

`context`

  Type: `GtkPrintContext`

  No description available.

  The data is owned by the caller of the function.

`parent`

  Type: `GtkWindow`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.